<?php

namespace KupShop\KupShopBundle\Util\Session;

use KupShop\KupShopBundle\Util\Redis\RedisService;

class RedisSessionHandler extends \Symfony\Component\HttpFoundation\Session\Storage\Handler\RedisSessionHandler
{
    public function __construct(?RedisService $redis = null, array $options = [])
    {
        $redis = $redis->connect();

        parent::__construct($redis, $options);
    }
}
